%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/preliminaries/modeling-approaches.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Modeling Approaches}\label{sec:spatial-dynamics:preliminaries:modeling-approaches}

To extend the kinematic formulation of \caros, kinematics and dynamics of the cables must explicitly be considered.
The most simple approach, as also followed by~\citeauthor{Bedoustani.2011}, assumes each cable a rigid body of certain physical and mechanical properties\textemdash length, unit density, linear and angular inertia\textemdash for which the dynamics are formulated.
Since cable length varies, the dynamics formulations become more involved and require either an approach based on the conservation of linear and angular momentum such that~$\od{}{t} \parentheses{\mass \, \linvel} \equiv \text{const.}$ and~$\od{}{t} \parentheses{\inertiatensor \, \angvel} \equiv \text{const.}$, respectively, or a formulation based on Lagrangian variable mass~\citeauthor{Bedoustani.2011}.
In either case, time-infinitesimal impulses due to impelling and expelling mass at the cable proximal end affect the dynamics of the overall system.
To obtain a comprehensive formulation of \caros with considering cable mass, the kinematics of each cable can be expressed in terms of the minimal coordinates\textemdash platform position~$\platpos$ and orientation~$\platori$, or a constrained multibody system can be constructed.
\Citeauthor{Bedoustani.2011} show that consideration of cable dynamics leads to changes in the system dynamics which produce results lying more closely to the physical system.
However, they only consider the cable as a linear elastic cylinder, much like the dynamics formulation of conventional parallel robots \textIe Gough-Stewart platforms already imply.
What their model neglects is the bending flexibility of cables which affects both statics and dynamics.



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/spatial-dynamics/preliminaries/modeling-approaches/segmentized-cable}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/spatial-dynamics/preliminaries/modeling-approaches/wave-equation}
